
.a-dot{
  margin-left: 8px;
  font-size: 14px;
  cursor: pointer;
  position: relative;
}

.a-dot::before{ 
  content: attr(data-tooltip);
  position: absolute;
  bottom: 120%;
  left: 50%;
  transform: translateX(-50%);
  background-color: #111827;
  color: #fff;
  padding: 5px 8px;
  font-size: 12px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.15s ease, transform 0.15s ease;
  z-index: 10;
}

/* Show tooltip on hover, focus, active */
.a-dot:hover::before,
.a-dot:hover::after,
.a-dot:focus::before,
.a-dot:focus::after,
.a-dot:active::before,
.a-dot:active::after {
  opacity: 1;
  transform: translateX(-50%) translateY(-4px);
}


html, body {
  margin: 0;
  padding: 0;
  min-height: 100%;
  transition: background-color 0.3s ease, color 0.3s ease;
}


/* Dark mode */
body.dark {
  background-color: #121212; /*#030712; #020617; #0f172a;*/
  color: #1142a4; /*#e5e7eb; */
}

/* Toggle button */
.theme-toggle {
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  z-index: 1000;
  font-size: 1.5rem;
  background: none;
  border: none;
  cursor: pointer;
}

/* Icon visibility */
.moon { display: none; }

body.dark .sun {
  display: none;
}
body.dark .moon {
  display: inline;
}

.sun, .moon{
  font-size: 10px;
}

/*****/
:root{
  --bg: #0f172a;
  --bd: #1e293b;
  --txt: #f8fafc;
}

:root {
  --primary: #2563EB;
  --secondary: #111827;
  --bg: #F9FAFB;
  --text: #1F2937;
  --muted_not: #6B7280;
  --accent: #3B82F6;

  --darker: #111827;
  --light-bg: #eef2ff;
  --card-bg: #ffffff;
  --text-main: #0f172a;
  --text-muted: #64748b;
  --muted: #4d6180;
  --radius: 18px;

  --border: #e5e7eb;
  
  --greyblue: #d7e2f9;
  --warmwhite: #f9fafb;
  --softcream: #fffefc;
}
:root{
  --font-base: clamp(1rem, calc(0.1rem + 1.2vw), 1.25rem);
  --font-title: clamp(1.1rem, calc(0.1rem + 1.1vw), 1.8rem);
  --font-medium: clamp(1.2rem, calc(0.1rem + 2vw), 1.875rem);
  --font-large: clamp(1.5rem, calc(0.1rem + 4vw), 3rem);
}


* {
  box-sizing: border-box;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
}

body {
  margin: 0 auto;
  background-color: linear-gradient(to bottom, #f8fafc, #e0e7ff);
  color: var(--secondary);
  transition: background-color 0.3s ease;
  font-size: var(--font-base);
}


main{
  margin: 0 auto;
  min-height: 70vh;
}
#main_container{
  margin: 1rem;
}
.whole_page{
  display: flex;
  flex-direction: column;
}
.inactive_link {
   pointer-events: none;
   cursor: default;
}


/* Footer */
.footer { display:flex; flex-direction:column; gap:1rem; padding:0.5rem 1rem; background:#0f172a; color:white; }
.footer a {color: var(--accent); text-decoration:none; margin-left:1rem; }
.footer-left {display:flex; align-items:center; gap:0.5rem; flex-wrap:wrap; max-width: 50%;}
.footer-right { display:flex; flex-wrap:wrap; gap:0.5rem; }
.small-logo-img{max-width: 3vw; min-width: 18px; /* at footer */}


/*DESKTOP*/
@media (min-width: 768px) {
  /*#theme-toggle {
    top: 10px;
    right: 10px;
    font-size: 1.2rem;
  }*/
  
  .footer { flex-direction: row; justify-content: space-between; }
}